import React, {Component} from 'react'
// import PropTypes from 'prop-types'
import { is, fromJS } from 'immutable'
import { Flex, WhiteSpace, Tabs } from 'antd-mobile'

import zhCN from '@/locales/zh-CN/mob.js'
import enUS from '@/locales/en-US/mob.js'
import './index.scss'

const PlaceHolder = ({ className = '', children = ''}) => (
  <div className={`${className} placeholder`}>{children ? children : 'Block'}</div>
)

const tabs2 = [
  { title: '简介', sub: '1' },
  { title: '工作台', sub: '2' },
  { title: '个人中心', sub: '3' },
]

class MobHome extends Component {
  // static propTpyes = {
  //   collapse: PropTypes.bool,
  // }
  state = {
    dict: localStorage.getItem('lang') !== 'en-US' ? zhCN : enUS,
  }

  shouldComponentUpdate (nextProps, nextState) {
    return !is(fromJS(this.props), fromJS(nextProps)) || !is(fromJS(this.state), fromJS(nextState))
  }

  render () {

    return (
      <div className="mob-home">
        <Tabs tabs={tabs2}
          initialPage={1}
          tabBarPosition="bottom"
          renderTab={tab => <span>{tab.title}</span>}
        >
          <div className="home-tab">
            <div className="flex-container">
              <div className="sub-title">Basic</div>
              <Flex>
                <Flex.Item><PlaceHolder ><span> test</span></PlaceHolder></Flex.Item>
                <Flex.Item><PlaceHolder /></Flex.Item>
              </Flex>
              <WhiteSpace size="lg" />
              <Flex>
                <Flex.Item><PlaceHolder /></Flex.Item>
                <Flex.Item><PlaceHolder /></Flex.Item>
                <Flex.Item><PlaceHolder /></Flex.Item>
              </Flex>
              <WhiteSpace size="lg" />
              <Flex>
                <Flex.Item><PlaceHolder /></Flex.Item>
                <Flex.Item><PlaceHolder /></Flex.Item>
                <Flex.Item><PlaceHolder /></Flex.Item>
                <Flex.Item><PlaceHolder /></Flex.Item>
              </Flex>
              <WhiteSpace size="lg" />

              <div className="sub-title">Wrap</div>
              <Flex wrap="wrap">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
              </Flex>
              <WhiteSpace size="lg" />

              <div className="sub-title">Align</div>
              <Flex justify="center">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
              </Flex>
              <WhiteSpace />
              <Flex justify="end">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
              </Flex>
              <WhiteSpace />
              <Flex justify="between">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline" />
              </Flex>

              <WhiteSpace />
              <Flex align="start">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline small" />
                <PlaceHolder className="inline" />
              </Flex>
              <WhiteSpace />
              <Flex align="end">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline small" />
                <PlaceHolder className="inline" />
              </Flex>
              <WhiteSpace />
              <Flex align="baseline">
                <PlaceHolder className="inline" />
                <PlaceHolder className="inline small" />
                <PlaceHolder className="inline" />
              </Flex>
            </div>
          </div>
          <div className="home-tab">
            Content of second tab
          </div>
          <div className="home-tab">
            Content of third tab
          </div>
        </Tabs>
      </div>
    )
  }
}

export default MobHome